Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFile.hpp File Reference

basic file interface header More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deFile.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeFile
| general interface class to allow simple usage of the file returned from a file system. More...
class | IdeFileMemory
class | IdeFilePlugin
struct | deFileProperties
| information about a file's properties More...
class | IdeFileReal
class | IdeFileVirtual
| interface class for the virtual file. More...
## Defines
#define | DEFILE_API extern "C" DEDLL_IMPORT
#define | deFile_Seek_Start IdeFile::SEEKF_START
#define | deFile_Seek_End IdeFile::SEEKF_END
#define | deFile_Seek_Current IdeFile::SEEKF_CURRENT
## Typedefs
typedef deFileProperties | deFileProperties
| information about a file's properties
## Functions
C DEDLL_IMPORT IdeFileMemory * | IdeFile_CreateFileMemory ()
| create a "memory file" - a file that exists only in application memory
C DEDLL_IMPORT IdeFilePlugin * | IdeFile_CreateFilePlugin ()
| create a "plugin file" - one that can perform special plugin actions on other files
## Variables
const long | deFile_Open_Create = 0x00000001
| create file, fail if it exists
const long | deFile_Open_Existing = 0x00000002
| open existing file, fail if it does not exist
const long | deFile_Open_Always = 0x00000003
| always open, create if it does not exist
const long | deFile_Open_CreateAlways = 0x00000004
| always create the file, overwrite if it exists
const long | deFile_Open_Read = 0x00000010
const long | deFile_Open_Write = 0x00000020
| open for reading
const long | deFile_Directory = 0x00000001
| open for writing

## Detailed Description

basic file interface header

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  May 2003

Author:
  Lightning

Remarks:
  Creation

## Define Documentation

#define DEFILE_API extern "C" DEDLL_IMPORT

#define deFile_Seek_Current IdeFile::SEEKF_CURRENT

#define deFile_Seek_End IdeFile::SEEKF_END

#define deFile_Seek_Start IdeFile::SEEKF_START

## Typedef Documentation

typedef struct deFileProperties deFileProperties

| information about a file's properties

## Function Documentation

C DEDLL_IMPORT IdeFileMemory* IdeFile_CreateFileMemory | ( |  | ) |

| create a "memory file" - a file that exists only in application memory

C DEDLL_IMPORT IdeFilePlugin* IdeFile_CreateFilePlugin | ( |  | ) |

| create a "plugin file" - one that can perform special plugin actions on other files

## Variable Documentation

const long deFile_Directory = 0x00000001

| open for writing

const long deFile_Open_Always = 0x00000003

| always open, create if it does not exist

const long deFile_Open_Create = 0x00000001

| create file, fail if it exists

const long deFile_Open_CreateAlways = 0x00000004

| always create the file, overwrite if it exists

const long deFile_Open_Existing = 0x00000002

| open existing file, fail if it does not exist

const long deFile_Open_Read = 0x00000010

const long deFile_Open_Write = 0x00000020

| open for reading